.layout {
  columns: 5;
  column-gap: 1.4rem;
  padding: 1.5rem 6rem;

  @media screen and(max-width: 1024px) {
    columns: 4;
    column-gap: 1.2rem;
  }

  @media screen and(max-width: 460px) {
    columns: 2;
    padding: 1.5rem 3rem;
  }

  @media screen and(max-width: 400px) {
    column-gap: 1rem;
    padding: 1.5rem 1.5rem;
  }

  .item {
    position: relative;
    display: inline-block;
    width: 100%;
    border-radius: 1rem;
    margin: 0.7rem 0;
    overflow: hidden;
    cursor: pointer;

    @media screen and(max-width: 460px) {
      margin: 0.2rem 0;
    }

    &:hover .boards,
    &:hover .save,
    &:hover .add {
      display: block;
    }

    .boards,
    .save,
    .add {
      display: none;
      position: absolute;
      top: 1.5rem;
    }

    .boards {
      left: 1.5rem;
      width: 65%;
      padding: 0.85rem;
      border: none;
      border-radius: 0.8rem 0 0 0.8rem;
    }

    .save,
    .add {
      background-color: $color-orange;
      border: none;
      color: white;

      &:hover {
        background-color: darken($color-orange, 5%);
      }
    }

    .save {
      left: calc(1.5rem + 65%);
      width: calc(35% - 3rem);
      padding: 0.7rem;
      border-radius: 0 0.8rem 0.8rem 0;
    }

    .add {
      top: unset;
      bottom: 1.5rem;
      right: 1rem;
      padding: 0.7rem 2.5rem;
      border-radius: 0.8rem;
    }

    > .avatar,
    video {
      width: 100%;
      display: block;
    }

    .close-button {
      display: none;
    }

    .comments,
    .comment-text {
      display: none;
    }

    .video-overlay {
      position: relative;

      &:hover {
        &::before {
          border-color: white;
        }

        &::after {
          border-left-color: rgba(white, 1);
        }
      }

      &::before,
      &::after {
        content: '';
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        transition: 0.3s;
      }

      &::before {
        width: 8rem;
        height: 8rem;
        border-radius: 10rem;
        border: 0.7rem solid rgba(white, 0.3);
      }

      &::after {
        width: 0;
        height: 0;
        border-top: 2rem solid transparent;
        border-left: 4rem solid rgba(white, 0.3);
        border-bottom: 2rem solid transparent;
        margin-left: 0.4rem;
      }
    }
    // @for $i from 1 through 36 {
    //   &:nth-child(#{$i}) {
    //     $h: (random(400) + 100) + px;
    //     height: $h;
    //   }
    // }
  }
}
